apiVersion: helm.cattle.io/v1
kind: HelmRelease
metadata:
  name: homarr
  namespace: dashboard
spec:
  chart:
    repository: https://homarr-labs.github.io/charts/
    name: homarr
    version: "~1"
  values:
    env:
      AUTH_PROVIDERS: "oidc"
      AUTH_OIDC_CLIENT_ID: "homarr"
      AUTH_OIDC_ISSUER: "https://authentik.riotpiao.com/application/o/homarr/"
      AUTH_OIDC_URI: "https://authentik.riotpiao.com/application/o/homarr/.well-known/openid-configuration"
      AUTH_OIDC_GROUPS_ATTRIBUTE: "groups"
    envFrom:
    - secretRef:
        name: homarr-oidc
    persistence:
      enabled: true
      storageClass: longhorn
      size: 2Gi
